summaryrefslogtreecommitdiffstats
path: root/sesman/startwm.sh
diff options
context:
space:
mode:
authorjsorg71 <jsorg71>2006-08-14 04:57:43 +0000
committerjsorg71 <jsorg71>2006-08-14 04:57:43 +0000
commit7cbeb4f30d915d8d97914d42f64a13111449949a (patch)
tree2ec24e2be30b6934a6459d1f4b143c4e24a71e09 /sesman/startwm.sh
parentc88940c54f99b13dc96f7b669d0680e7d2e7d69c (diff)
downloadxrdp-proprietary-7cbeb4f30d915d8d97914d42f64a13111449949a.tar.gz
xrdp-proprietary-7cbeb4f30d915d8d97914d42f64a13111449949a.zip
debian package build fixes
Diffstat (limited to 'sesman/startwm.sh')
-rwxr-xr-xsesman/startwm.sh18
1 files changed, 11 insertions, 7 deletions
diff --git a/sesman/startwm.sh b/sesman/startwm.sh
index 459b4dc9..3445c494 100755
--- a/sesman/startwm.sh
+++ b/sesman/startwm.sh
@@ -10,20 +10,23 @@ fi
if [ -d /opt/kde/bin ]; then
export PATH=/opt/kde/bin:$PATH
fi
-if [ "'which startkde'" != "" ]; then
+which startkde
+if [ $? -eq 0 ]; then
startkde
exit 0
fi
-if [ "'which kde'" != "" ]; then
+which kde
+if [ $? -eq 0 ]; then
kde
exit 0
fi
# gnome
-#if [ "'which gnome-session'" != "" ]; then
-# gnome-session
-# exit 0
-#fi
+which gnome-session
+if [ $? -eq 0 ]; then
+ gnome-session
+ exit 0
+fi
# blackbox
#if [ "'which blackbox'" != "" ]; then
@@ -38,7 +41,8 @@ fi
#fi
# fall back on xterm
-if [ "'which xterm'" != "" ]; then
+which xterm
+if [ $? -eq 0 ]; then
xterm
exit 0
fi